unit about;
{' /*******************************************************************************
'   frmAbout.frm within DelphiSpec.dpr
'
'   "About..." dialog for DelphiSpec
'
'   Original author (vbSpec): Chris Cowley <ccowley@grok.co.uk>
'   Copyright (C)1999-2000 Grok Developments Ltd.
'   http://www.grok.co.uk/
'
'   Translation to Delphi Object Pascal by
'   Jari Korhonen <jarit.korhonen@luukku.com>
'   Copyright (C) 2001- Jari Korhonen
'
'   This program is free software; you can redistribute it and/or
'   modify it under the terms of the GNU General Public License
'   as published by the Free Software Foundation; either version 2
'   of the License, or (at your option) any later version.
'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.
'
'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'
' *******************************************************************************/}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ShellApi;

type
  TfrmAbout = class(TForm)
    lblName: TLabel;
    lblVersion: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    btnOK: TButton;
    lblFree: TLabel;
    lblGrokUrl: TLabel;
    lblAuthorEmail: TLabel;
    Label3: TLabel;
    lblDelphiXUrl: TLabel;
    procedure btnOKClick(Sender: TObject);
    procedure lblGrokUrlClick(Sender: TObject);
    procedure lblAuthorEmailClick(Sender: TObject);
    procedure lblDelphiXUrlClick(Sender: TObject);
  private
    { Private declarations }
    procedure OpenObject(sObjectPath : PChar);    
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}


procedure TfrmAbout.btnOKClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmAbout.OpenObject(sObjectPath : PChar);
begin
 ShellExecute(0, PChar('Open'), sObjectPath, Nil, Nil, SW_NORMAL);
end;

procedure TfrmAbout.lblGrokUrlClick(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,lblGrokUrl.Caption);
   OpenObject(TempString);
end;

procedure TfrmAbout.lblAuthorEmailClick(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,lblAuthorEmail.Caption);
   OpenObject(TempString);
end;

procedure TfrmAbout.lblDelphiXUrlClick(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,lblDelphiXUrl.Caption);
   OpenObject(TempString);
end;

end.
